Bug 1103330 - Docker repo upload skips uploading some image layers when there are multiple leaf nodes
Summary: Docker repo upload skips uploading some image layers when there are multiple ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: docker-support
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Sayli Karmarkar
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-30 18:46 UTC by Sayli Karmarkar
Modified: 2015-03-23 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:09:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 442 None None None Never

Description Sayli Karmarkar 2014-05-30 18:46:02 UTC
Description of problem:
Docker repo upload does not generate correct unit_key and it skips uploading some image layers when there are multiple leaf nodes.

$ pulp-admin docker repo create --repo-id=busybox

$ pulp-admin docker repo uploads upload --repo-id=busybox -f /home/skarmark/git/pulp1/pulp/busybox.tar

$ pulp-admin docker repo list
Id:                  busybox
Display Name:        busybox
Description:         None
Content Unit Counts: 
  Docker Image: 4


Only 4 images are uploaded when busybox actually contains more images.

Comment 1 Sayli Karmarkar 2014-05-30 19:47:03 UTC
https://github.com/pulp/pulp_docker/pull/22

Comment 2 Sayli Karmarkar 2014-06-01 20:42:41 UTC
$ pulp-admin docker repo create --repo-id=busybox

$ pulp-admin docker repo uploads upload --repo-id=busybox -f /home/skarmark/git/pulp1/pulp/busybox.tar

$ pulp-admin docker repo list
Id:                  busybox
Display Name:        busybox
Description:         None
Content Unit Counts: 
  Docker Image: 8

Comment 3 Brian Bouterse 2015-02-28 22:09:24 UTC
Moved to https://pulp.plan.io/issues/442


Note You need to log in before you can comment on or make changes to this bug.